import Vue from 'vue';
import Vuex from 'vuex';
import * as profiles from '@m/store/profiles';
import * as jobs from '@m/store/jobs';
import * as hr from '@m/store/hr';
import * as jobinfo from '@m/store/jobinfo';
import * as talks from '@m/store/talks';
import * as resumes from '@m/store/resumes';
import * as letters from '@m/store/letters';
import * as jobfair from '@m/store/jobfair';
import * as school from '@m/store/schoolList';
import * as otherList from '@m/store/otherList';
import * as user from '@m/store/user';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    profiles: profiles,
    jobs: jobs,
    hr: hr,
    jobinfo: jobinfo,
    talks: talks,
    resumes: resumes,
    letters: letters,
    jobfair: jobfair,
    school: school,
    otherList: otherList,
    user: user,
  },
});
